Bug 1528765 - wordpress - bundles file with non-free license
Summary: wordpress - bundles file with non-free license
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wordpress
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-23 18:07 UTC by Mattias Ellert
Modified: 2018-02-01 17:15 UTC (History)
2 users (show)

Fixed In Version: wordpress-4.9.2-1.fc26 wordpress-4.9.2-1.fc27 wordpress-4.9.2-1.el6 wordpress-4.9.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-26 17:55:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Mattias Ellert 2017-12-23 18:07:54 UTC
Description of problem:

The wordpress package installs a file with a non-free license that can not be distributed by Fedora. The nodejs-jshint package was removed from Fedora due to the license of the jshint.js file. The wordpress package installs copy of this file as:

/usr/share/wordpress/wp-includes/js/codemirror/jshint.js

This file uses a modified version of the MIT license. The modification makes the license non-free. The modification of the license that makes it non-free is the addition of the following line:

 *   The Software shall be used for Good, not Evil.

Version-Release number of selected component (if applicable):

wordpress-4.8.2-1.fc27

Additional info:

https://pagure.io/releng/issue/6659

https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#When_Upstream_uses_Prohibited_Code

Comment 1 Remi Collet 2017-12-24 06:04:13 UTC
Found debian patch
https://anonscm.debian.org/git/collab-maint/wordpress.git/tree/debian/patches/remove-jshint-refs

Seems ok to remove

Comment 2 Fedora Update System 2018-01-17 09:23:17 UTC
wordpress-4.9.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-73feedd767

Comment 3 Fedora Update System 2018-01-17 09:23:26 UTC
wordpress-4.9.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48da15ea59

Comment 4 Fedora Update System 2018-01-17 09:23:31 UTC
wordpress-4.9.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2ba6bfc5d8

Comment 5 Fedora Update System 2018-01-17 09:23:36 UTC
wordpress-4.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-19c693fd9a

Comment 6 Fedora Update System 2018-01-18 00:31:15 UTC
wordpress-4.9.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-73feedd767

Comment 7 Fedora Update System 2018-01-18 00:32:23 UTC
wordpress-4.9.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2ba6bfc5d8

Comment 8 Fedora Update System 2018-01-18 01:17:06 UTC
wordpress-4.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-19c693fd9a

Comment 9 Fedora Update System 2018-01-18 02:10:34 UTC
wordpress-4.9.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48da15ea59

Comment 10 Fedora Update System 2018-01-26 17:55:52 UTC
wordpress-4.9.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-01-26 18:09:38 UTC
wordpress-4.9.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-01 16:49:38 UTC
wordpress-4.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-02-01 17:15:26 UTC
wordpress-4.9.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.